import 'package:flutter/material.dart';
import 'package:vid_player_demo/widgets/image_cache.dart';

class SingleImageView extends StatefulWidget {
  const SingleImageView({Key? key}) : super(key: key);

  @override
  _SingleImageViewState createState() => _SingleImageViewState();
}

class _SingleImageViewState extends State<SingleImageView> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Single Image'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            const ShowImageCache(),
            Image.asset('assets/images/mock_image.png',
                width: 200, height: 200, fit: BoxFit.cover),
          ],
        ),
      ),
    );
  }

  @override
  void dispose() {
    print("SingleImageView dispose");
    super.dispose();
  }
}
